/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */
@import "../01_base/mixins";
// Generic
.MuiFormControl-root {
  margin: 0 !important;

  .MuiFormLabel-root {
    color: $color-black-01;
    font-size: 16px;
    font-weight: 600;
    line-height: 24px;
    transform: unset !important;
    margin-bottom: 8px;
    position: relative !important;
  }
}

.MuiOutlinedInput-multiline {
  padding: 0 !important;

  fieldset {
    border: none !important;
    padding: 0;
  }
}

// Table
.MuiDataGrid-root {
  border: none !important;

  .MuiDataGrid-columnHeaderWrapper {
    background: $color-grey-02;
  }

  .MuiDataGrid-columnHeader {
    outline: none !important;

    .MuiDataGrid-columnHeaderTitle {
      font-size: 16px;
      font-weight: 500;
      line-height: 24px;
    }
  }

  .MuiDataGrid-columnsContainer {
    border-color: $transparency-black-01 !important;
  }

  .MuiDataGrid-cell {
    border-bottom-color: $color-grey-01 !important;
  }
}

.MuiGrid-item {

  &.grey-primary .MuiFormControl-root {
    background: $color-grey-02;
  }

  &.grey-secondary .MuiFormControl-root {
    background: $color-grey-03;
  }

  &.highlighted .MuiFormControl-root {
    background: $transparency-blue-01;
  }

  .MuiFormControl-root {
    padding: 30px;
  }
}

//Generic table
table {
  border-collapse: collapse;
  border: 1px solid $color-blue-01;

  thead {
    background-color: $color-blue-02;

    th {
      border-right: 1px solid $color-white-01;
      text-align: start;
      color: $color-white-01;
      padding: 8px;
      @extend %h6;

      &:first-child {
        border-left: 1px solid $color-blue-02;
      }

      &:last-child {
        border-right: 1px solid $color-blue-02;
      }
    }
  }

  tbody {
    td {
      border: 1px solid $color-blue-01;
      padding: 5px 8px;
    }

    &:nth-child(2n+1) {
      background-color: $color-grey-08;
    }
  }
}

// Align
.align-right {
  float: right;
}

// Input
.MuiOutlinedInput-root {
  border-radius: 0 !important;

  input {
    background: $transparency-blue-01;

    + fieldset {
      display: none !important;
    }
  }
}

// Select
.form-select {
  display: block !important;

  label {
    margin-bottom: 0 !important;
  }

  .MuiOutlinedInput-root {
    width: 100% !important;
  }

  .MuiSelect-select {
    background: $color-grey-03;
  }
}

// Text multiple
.MuiInputBase-multiline {

  .MuiBox-root > div {
    padding: 0 !important;
  }
}

// Autocomplete
.MuiAutocomplete-root {
  .MuiInputBase-root {
    background: $color-grey-03;

    fieldset {
      top: -5px !important;
    }
  }
}

// Ul with list-reset
ul.list-reset {
  @include ul-reset();

  li {
    margin-bottom: 15px;

    &:last-child {
      margin-bottom: 0;
    }
  }
}

// Textarea
textarea.MuiOutlinedInput-inputMultiline {
  padding: 18.5px 14px !important;
}

// Form actions
.form-actions {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-top: 15px;

  > * {
    float: none !important;
    margin: 0 10px 0 0;

    &:last-child {
      margin-right: 0;
    }

    &.float-right {
      margin-right: 0;
      margin-left: 10px;
    }
  }
}

textarea {
  width: 100%;
  border: 1px solid $color-blue-02;
  transition: border-color $duration;
  outline: none;
  padding: 4px 5px;

  &:focus, &:hover {
    border: 1px solid $color-blue-01;
  }
}

.form-type-radio {
  @include ul-reset;
}

// Radio buttons.
.form-item-type-radio {
  line-height: 1.2;
  cursor: pointer;
  position: relative;

  // Input.
  input {
    width: 100%;
    height: 100%;
    border: none;
    cursor: pointer;
    opacity: 0;
    margin: 0;
    position: absolute;
    top: 0;
    left: 0;

    // Type Radio
    &[type="radio"]:not(old) {

      + span:before {
        border-radius: 50%;
      }
    }

    // Checked.
    &:checked + span:before {
      background: $color-blue-02;
      box-shadow: inset 0 0 0 2.5px white;
    }

    &:hover + span:before {
      outline: 1px solid $color-blue-01;
    }

    // Label.
    + span {

      &:before {
        content: '';
        display: inline-block;
        width: 15px;
        height: 15px;
        background: $color-white-01;
        border: 1px double $color-blue-01;
        outline: 1px solid transparent;
        transition: outline-color 100ms;
        cursor: pointer;
        vertical-align: top;
        margin-top: 1px;
        margin-right: 5px;
      }
    }
  }
}

.input-type-check {
  line-height: 1.2;
  cursor: pointer;
  position: relative;

  input {
    width: 100%;
    height: 100%;
    border: none;
    cursor: pointer;
    opacity: 0;
    margin: 0;
    position: absolute;
    top: 0;
    left: 0;

    // Type Radio
    &[type="radio"]:not(old) {

      + span:before {
        border-radius: 50%;
      }
    }

    // Checked.
    &:checked + span:before {
      background: $color-blue-02;
      box-shadow: inset 0 0 0 2.5px white;
    }

    &:hover + span:before {
      outline: 1px solid $color-blue-01;
    }

    // Label.
    + span {

      &:before {
        content: '';
        display: inline-block;
        width: 17px;
        height: 17px;
        background: $color-white-01;
        border: 1px double $color-blue-01;
        outline: 1px solid transparent;
        transition: outline-color 100ms;
        cursor: pointer;
        vertical-align: top;
        margin-right: 5px;
      }
    }
  }
}

.form-field-radio_boolean {

  &.field-amount-single {

    .field-input label {
      line-height: 1.2;
      cursor: pointer;
      position: relative;

      input {
        width: 100%;
        height: 100%;
        border: none;
        cursor: pointer;
        opacity: 0;
        margin: 0;
        position: absolute;
        top: 0;
        left: 0;

        // Type Radio
        &[type="radio"]:not(old) {

          + span:before {
            border-radius: 50%;
          }
        }

        // Checked.
        &:checked + span:before {
          background: $color-blue-02;
          box-shadow: inset 0 0 0 2.5px white;
        }

        &:hover + span:before {
          outline: 1px solid $color-blue-01;
        }

        // Label.
        + span {

          &:before {
            content: '';
            display: inline-block;
            width: 15px;
            height: 15px;
            background: $color-white-01;
            border: 1px double $color-blue-01;
            outline: 1px solid transparent;
            transition: outline-color 100ms;
            cursor: pointer;
            vertical-align: top;
            margin-top: 2px;
            margin-right: 5px;
          }
        }
      }
    }
  }

  .field-input ul {
    list-style: none;
    padding: 0;
    margin: 0;
  }
}

.form-field-short_text {

  .markdown {

    p {
      margin-top: 0;
      margin-bottom: 15px;

      &:last-of-type {
        margin-bottom: 0;
      }
    }
  }
}

// Date
input[type="date"] {
  transition: border-color $duration;
  border: 1px solid $color-blue-02;
  outline: none;
  padding: 5px;

  &:hover,
  &:focus {
    border-color: 1px solid $color-blue-01;
  }
}

// File
input[type="file"] {
  padding: 0;
  margin: 10px;
}

input {
  // Input text.
  &[type="text"],
  &[type="email"] {
    @include itemWrapper;
    width: 100%;
  }

  // Input Phone and Email.
  &[type="tel"],
  &[type="password"] {
    @include itemWrapper;
  }

  &[type="number"] {
    @include itemWrapper;
    min-width: 150px;
    line-height: 2.35;
    padding: 0 0 0 7px;
  }
}

select {
  @include itemWrapper;
  background: url(image-url('icon-chevron-black-down.svg')) no-repeat center right 7px white;
  background-size: 15px;
  appearance: none;
  cursor: pointer;
  padding: 8px 30px 8px 8px;

  .optgroup {
    font-size: 16px;
  }

  * {
    cursor: pointer;
    font-size: 14px;
    padding: 5px 0;
  }
}

.form-multivalued-list {
  table {
    border: none;

    tbody td {
      border: none;
      padding: 0;
    }
  }
}
